Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159257 - Need extra columns for recurring notification filters
Summary: Need extra columns for recurring notification filters
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Slagle
QA Contact: Shannon Hughes
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-31 22:18 UTC by Mike McCune
Modified: 2007-10-24 02:10 UTC (History)
1 user (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-31 20:42:20 UTC


Attachments (Terms of Use)

Description Mike McCune 2005-05-31 22:18:26 UTC
Here is the script I used to create the extra columns necessary on the
rhn_redirects table:


ALTER TABLE rhn.rhn_redirects
    ADD recurring NUMBER(12,0) DEFAULT '0' NOT NULL;



ALTER TABLE rhn.rhn_redirects
    ADD ( CONSTRAINT RHN_RDRCT_RECUR_VALID
	CHECK (recurring IN('0', '1')));

ALTER TABLE rhn.rhn_redirects
    ADD recurring_frequency NUMBER(12,0) DEFAULT 2 NULL;

ALTER TABLE rhn.rhn_redirects
    ADD ( CONSTRAINT RHN_RDRCT_RECUR_FREQ_VALID
	CHECK (recurring_frequency IN(2, 3, 6)));

ALTER TABLE rhn.rhn_redirects
    ADD recurring_duration NUMBER(12,0) DEFAULT 0 NULL;

Comment 1 Mike McCune 2005-06-04 00:45:07 UTC
James, do you think this one will get included before the next QA push next week?  

Comment 2 James Slagle 2005-06-06 15:49:02 UTC
Applied to hosted, change script at:
rhn-svn/trunk/eng/schema/changes/dev/400/xml/159257.00.rhn_redirects_columns.xml

Change applied to satellite schema in svn.

This will go in tomorrow's QA push.

Comment 3 Mike McCune 2005-06-18 00:34:36 UTC
AGH!  While working on bz 160260 I found that I needed an extra column to store
the recurring durration type.  This needs to get adding in to the above set of
changes.  I apologize for the late notice on this one.

ALTER TABLE rhnsat.rhn_redirects
    ADD recurring_dur_type NUMBER(12,0) DEFAULT 12 NULL
GO

ALTER TABLE RHNSAT.RHN_REDIRECTS
    ADD ( CONSTRAINT RHN_RDRCT_REC_DTYPE_VALID
	CHECK (recurring_dur_type in (12,11,5,3,1))) 
GO


Comment 4 James Slagle 2005-06-23 20:03:03 UTC
Change applied to satellite schema / hosted.  Change script for hosted:
rhn-svn/trunk/eng/schema/changes/dev/400/xml/159257.01.more_columns_rhn_redirects.xml

Comment 5 Bret McMillan 2005-07-26 02:52:05 UTC
qa contact == shughes

Comment 6 James Slagle 2005-07-28 03:04:38 UTC
Use testplan from 160260.

Comment 7 Shannon Hughes 2005-07-29 20:25:31 UTC
prod ready


Note You need to log in before you can comment on or make changes to this bug.